# SolrQuery::getFacetOffset

(PECL solr >= 0.9.2)

SolrQuery::getFacetOffset — Returns an offset into the list of constraints to be used for pagination

### Description

public SolrQuery::getFacetOffset ([ string `$field_override` ] ) : int

Returns an offset into the list of constraints to be used for pagination. Accepts an optional field override

### Parameters

`field_override`

  The name of the field to override for.

### Return Values

Returns an integer on success and `NULL` if not set